Home > Error Failed > Error Failed Build Dependencies Kernel-devel-i386

Error Failed Build Dependencies Kernel-devel-i386

Contents

I run a PAE kernel but could it be a problem that I have both PAE and non PAE devel packages installed? 0 Kudos Reply Steven E. No, create an account now. This is how you apply the 2.6.19-rc6 patch to kernel 2.6.18: cd /usr/src wget http://www.kernel.org/pub/linux/kernel/v2.6/testing/patch-2.6.19-rc6.bz2 cd /usr/src/linux bzip2 -dc /usr/src/patch-2.6.19-rc6.bz2 | patch -p1 --dry-run bzip2 -dc /usr/src/patch-2.6.19-rc6.bz2 | patch -p1 The system returned: (22) Invalid argument The remote host or network may be down. navigate to this website

Blog:http://spaces.msn.com/members/liye19860923 ----------------------------------------------------------------------- ASUS M24C17 laptop: Intel pentinum M 1.7G 512M RAM; 40G Hard-drive Graphics chip: ATI9000 Modem: conxtant HSF modem Alerander View Public Profile Find all posts by Alerander Tags build, mpost68722When I checked the download link, I found it's no longer available. I installed the correct devel packages, that is both kernel-devel and kernel-PAE-devel. Don't do it if the first command shows errors! http://forums.fedoraforum.org/showthread.php?t=77757

Error Failed Build Dependencies Kernel-devel-i386

I don't know why I see these instructions (for CD) on the same place where I grabbed the tar.gz file (not the ISO) so the instructions there doesn't apply.Jorge Fabregas 0 Error: Nothing to do Apparently no i386 more in rhel6 and clones. > Or you can use DKMS, as mentioned on that page right below the step that > mentions the If I can build a kmod rpm and distribute it with cfengine or an internal yum repo later, that would be much preferred. -- Groeten, natxo Previous message: [OpenAFS] problem installing So I have been trying to use the source rpm.

I'm running the SMP kernel with kernel-smp-devel installed and glibc-kernheaders, etc (all mentioned rpms in the guide) but while running the GUI version of "hpsum" it complains about missing kernel-devel. All Rights Reserved Privacy & Terms [asterisk-users] Cannot built kmod-dahdi-linux for PAE kvariant from SRPM stephen.hindmarch at bt.com stephen.hindmarch at bt.com Tue Feb 16 12:05:58 CST 2010 Previous message: [asterisk-users] In my case only the xen kernel was installed.Here is an advisory which might help, too.Advisory: Red Hat Enterprise Linux 5 - hp-netxtreme2-5.2.27-5.src.rpm or hp-tg3-3.99p-5.src.rpm RPMs Will Not Build any Flavors Unfortunately it seems that the DRBD module doesn't exists in xen3.2.

This package should be installed.The User guide lists only a fraction of packages needed. Compiling Xen3.2 dom0 Started by Julien FLAMAND , 03 April 2007 - 08:32 AM Login to Reply 10 replies to this topic Julien FLAMAND Members #1 Julien FLAMAND 16 posts Posted Please note: After you have installed kernel-2.6.18.3default-1.i386.rpm and decide to compile another 2.6.18.3 kernel rpm package, it is important to use a different version string, e.g. -default1, -default2, etc., because otherwise click for more info i686 comes from the fact that in Linux kernel, the i386 was originally used to mean "any supported 32-bit x86 processor (= i386 or above)".

It seems that the glibc-common dependency failed :Setting up Install ProcessSetting up repositoriesReading repository metadata in from local filesParsing package install argumentsResolving Dependencies--> Populating transaction set with selected packages. Isn't it better to use yum install kernel-devel ? Next >> view as pdf | print Share this page: Tweet Follow Sub pages How To Compile A Kernel - The CentOS WayHow To Compile A Kernel - The CentOS Way XenServer 3.1 comes with gcc preinstalled.

Also, on the PDF User guide for 8.40, for RHEL4 64-bit it mentions ibnl (which I think it may be a typo as no package exist called like this).3- The instructions recommended you read l5.src.rpm 2>&1 | grep -v mockbSo what am I doing wrong?ThanksMatt. Error Failed Build Dependencies Kernel-devel-i386 Register All Albums FAQ Today's Posts Search Using Fedora General support for current versions. You can now even transfer the kernel rpm package to other CentOS systems and install it there exactly the same way, which means you don't have to compile the kernel there

Instead I used wget to download dahdi-linux-kmod-2.2.1-1_centos5.2.6.18_164.11.1.el5.src.rpm, installed in a local build area and tried to build it. http://invictanetworks.net/error-failed/error-failed-dependencies-mysql-conflicts-with-mysql-4-1-12-3-rhel4-1-i386.html On this page How To Compile A Kernel - The CentOS Way 1 Preliminary Note 2 Building A Kernel rpm Package 2.1 Download The Kernel Sources 2.2 Modify /etc/modprobe.conf 2.3 Apply I would use DRBD in order to create an HA cluster (Xen+DRBD and maybe Heartbeat). Please let me know if you need further assistance.Regards,Deepak 1365-150698-1003240 Back to top Julien FLAMAND Members #11 Julien FLAMAND 16 posts Posted 16 April 2007 - 12:55 PM Hi,I compiled the

I had to install the 32-bit version of e2fsprogs. This means that # all kernel and initrd paths are relative to /boot/, eg. # root (hd0,0) # kernel /vmlinuz-version ro root=/dev/VolGroup00/LogVol00 # initrd /initrd-version.img #boot=/dev/sda default=0 timeout=5 splashimage=(hd0,0)/grub/splash.xpm.gz hiddenmenu title Is that correct ?You are unable to use it on 3.2 just because you are unable to compile DRDB module.Regards,Deepak 1365-150698-1003237 Back to top Julien FLAMAND Members #8 Julien FLAMAND 16 my review here Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding MembersPowered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

I would be happy help test any changes. Start a trial and get your shirt. Several functions may not work.

View Public Profile Find all posts by Spoon! #3 16th September 2005, 06:06 AM Alerander Offline Registered User Join Date: Jul 2005 Location: NJ Posts: 359 Install the

  • I type: % rpm -Uvh kernel-2.6.11-1.1369_FC4.src.rpm This works (if I mkdir /usr/src/redhat first) Then I follow the next steps % cd /usr/src/redhat/SPECS % rpmbuild -bp --target $(arch) kernel-2.6.spec This last command
  • The first one will get you a kernel rpm package that you can install or share with others.
  • Tutorial Info Author: falko Tags: kernel, centos Share This Page Tweet Xenforo skin by Xenfocus Contact Help Imprint Tutorials Top RSS-Feed Terms Howtoforge © projektfarm GmbH.

Make sure you specify a kernel version identification string under General Setup ---> () Local version - append to kernel release. XenServer 3.2 host has xenified version for both glibc and glibc-common already installed. All the instructions are based for the CD installation (change directory to /compaq/csp/linux etc etc) but of course if you grab the tar file you just need to run hpsum simply. Stay logged in Sign up now!

To begin with I just tried rpmbuild --bb ~/localrpms/SPECS/dahdi-linux-kmod.spec but that fails as the spec file relies on the internally defined kernel version error: Failed build dependencies: kernel-devel = 2.6.18-164.11.1.el5 is The HP Smart Update Manager is telling me the kernel-devel rpm package is not installed even though it is.[[email protected] ~]# rpm -qa |grep kernel-develkernel-devel-2.6.9-67.ELkernel-devel-2.6.9-89.0.23.EL[[email protected] ~]# 0 Kudos Reply David Livingstone Occasional They should be applied using the patch(1) utility to the source code of the previous full release with a 3-part version number (for example, the 2.6.12-rc4 prepatch should be applied to get redirected here Offline Registered User Join Date: Aug 2005 Location: Hell Posts: 758 it says it needs "redhat-rpm-config"; why don't you try installing that?

So I want to compile a new dom0 and then compile DRBD with this new one. I want to say first that this is not the only way of setting up such a system. For example, if you need a feature that is available only in kernel 2.6.19-rc6, but the full sources haven't been released yet for this kernel. Thread Tools Search this Thread Display Modes #1 16th September 2005, 05:03 AM niterida Offline Registered User Join Date: Sep 2005 Posts: 1 Kernel Source Install: Failed build

The network card is still using the bnx2 module after a restart. 0 Kudos Reply wobbe Respected Contributor [Founder] Options Mark as New Bookmark Subscribe Subscribe to RSS Feed Highlight Print In fact, if you have an alternate way of setting up the kernel to run ndiswrapper, I'd be happy to hear it, too. This means that # all kernel and initrd paths are relative to /boot/, eg. # root (hd0,0) # kernel /vmlinuz-version ro root=/dev/VolGroup00/LogVol00 # initrd /initrd-version.img #boot=/dev/sda default=0 timeout=5 splashimage=(hd0,0)/grub/splash.xpm.gz hiddenmenu title Thanks.

Join Us! Some packages are installed as dependencies. Instead, a patch-2.6.19-rc6.bz2 is available. All went well on my development server, which is a fully up to date CentOS5 machine.

With the std i386 kernel it works(ex kernel-2.6.18-164.9.1.el5 and kernel-devel-2.6.18-164.9.1.el5 ) however with a PAE kernel(ex kernel-PAE-2.6.18-164.9.1.el5.i686 andkernel-PAE-devel-2.6.18-164.9.1.el5.i686 ) you get numerous error messages similar to :hp-tg3-3.99p-5.src.rpm Build Log:Executing Build Command